=== debian/changelog ===
dumb-init (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 02:35:07 +1000

dumb-init (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 May 2016 18:03:56 +1000

dumb-init (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #810586).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Mar 2016 21:12:55 +1100
