=== debian/changelog ===
dumb-init (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Jul 2016 12:55:10 +1000

dumb-init (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Jun 2016 15:33:31 +1000
