=== debian/control ===
Source: dumb-init
Section: utils
Priority: extra
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9)
    ,help2man
## Tests:
    ,python
    ,python-mock
    ,python-pytest
Standards-Version: 3.9.8
Homepage: https://github.com/Yelp/dumb-init/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dumb-init.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dumb-init.git

Package: dumb-init
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: wrapper script which proxies signals to a child
 dumb-init is a simple process supervisor and init system designed to run
 as PID 1 inside minimal container environments (such as Docker).
 .
 Lightweight containers have popularized the idea of running a single
 process or service without normal init systems like systemd or sysvinit.
 However, omitting an init system often leads to incorrect handling of
 processes and signals, and can result in problems such as containers
 which can't be gracefully stopped, or leaking containers which should
 have been destroyed.
 .
 dumb-init acts as PID 1 and immediately spawns your command as a child
 process, taking care to properly handle and forward signals as they are
 received.
