=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

MAN=debian/dumb-init.1

override_dh_clean:
	$(RM) -rv .cache
	dh_clean \
            $(MAN)

$(MAN):
	help2man \
            --name 'a minimal init system for Linux containers' \
            --no-discard-stderr \
            --include debian/help2man \
            --no-info \
            ./dumb-init > $@

override_dh_installman: $(MAN)
	dh_installman

override_dh_auto_test:
	PATH=.:$$PATH py.test tests/
