## dumb-init 1.2.0

=== Makefile ===
--- 
+++ 
@@ -55,6 +55,7 @@
 .PHONY: test
 test:
 	tox
+	tox -e pre-commit
 
 .PHONY: install-hooks
 install-hooks:
