=== debian/changelog ===
dumb-init (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: respect "DEB_BUILD_OPTIONS=nocheck".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 13 Oct 2016 14:04:35 +1100
