## dumb-init 1.2.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -rf .tox
 
 .PHONY: release
-release: sdist builddeb-docker
+release: python-dists builddeb-docker
 	$(eval VERSION := $(shell cat VERSION))
 	# extract the built binary from the Debian package
 	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_amd64.deb | \
@@ -33,9 +33,17 @@
 		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 \
 		> sha256sums
 
-.PHONY: sdist
-sdist: VERSION.h
+.PHONY: python-dists
+python-dists: VERSION.h
 	python setup.py sdist
+	docker run \
+		--user $$(id -u):$$(id -g) \
+		-v $(PWD)/dist:/dist:rw \
+		quay.io/pypa/manylinux1_x86_64:latest \
+		bash -exc ' \
+			/opt/python/cp35-cp35m/bin/pip wheel --wheel-dir /tmp /dist/*.tar.gz && \
+			auditwheel repair --wheel-dir /dist /tmp/*.whl --wheel-dir /dist \
+		'
 
 .PHONY: builddeb
 builddeb:
@@ -61,16 +69,13 @@
 install-hooks:
 	tox -e pre-commit -- install -f --install-hooks
 
-ITEST_TARGETS = itest_lucid itest_precise itest_trusty itest_xenial itest_wheezy itest_jessie itest_stretch
+ITEST_TARGETS = itest_trusty itest_xenial itest_jessie itest_stretch
 
 .PHONY: itest $(ITEST_TARGETS)
 itest: $(ITEST_TARGETS)
 
-itest_lucid: _itest-ubuntu-lucid
-itest_precise: _itest-ubuntu-precise
 itest_trusty: _itest-ubuntu-trusty
 itest_xenial: _itest-ubuntu-xenial
-itest_wheezy: _itest-debian-wheezy
 itest_jessie: _itest-debian-jessie
 itest_stretch: _itest-debian-stretch
