=== debian/changelog ===
dumb-init (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Debhelper & compat to version 10.
  * Standards-Version: 4.1.3; Priority: optional.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 17 Jan 2018 10:54:46 +1100
