=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dumb-init
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
     ,help2man
 ## Tests:
     ,python
     ,python-mock
     ,python-pytest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/Yelp/dumb-init/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dumb-init.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dumb-init.git
