=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,6 @@
 	dh_installman
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PATH=.:$$PATH py.test tests/
+endif
