=== debian/watch ===
version=3

 https://github.com/Yelp/dumb-init/releases \
 .*/archive/v?(\d[-\d\.]+)\.tar\.gz
