=== debian/changelog ===
dumb-init (1.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Run test with python3. (Closes: #936455)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Jan 2020 10:36:55 +0800

dumb-init (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add increase-test-sleep-time.patch to fix tests on slow
    machines. (Closes: #915311)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Feb 2019 02:46:54 +0800

dumb-init (1.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dmitry Smirnov ]
  * New upstream release.
    + fixes test failures on mips* (Closes: #915311).
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 27 Jan 2019 17:30:06 +1100
