=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: dumb-init
 Section: utils
 Priority: optional
+Standards-Version: 4.3.0
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 10)
     ,help2man
 ## Tests:
-    ,python
-    ,python-mock
-    ,python-pytest
-Standards-Version: 4.1.3
+    ,python3
+    ,python3-mock
+    ,python3-pytest
 Homepage: https://github.com/Yelp/dumb-init/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dumb-init.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dumb-init.git
+Vcs-Browser: https://salsa.debian.org/debian/dumb-init
+Vcs-Git: https://salsa.debian.org/debian/dumb-init.git
 
 Package: dumb-init
 Architecture: any
