=== debian/rules ===
--- 
+++ 
@@ -28,5 +28,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PATH=.:$$PATH py.test tests/
+	PATH=.:$$PATH py.test-3 tests/
 endif
