## dumb-init 1.2.5

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 .PHONY: release
 release: python-dists
 	cd dist && \
-		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 dumb-init_$(VERSION)_ppc64el.deb dumb-init_$(VERSION)_ppc64el \
+		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_x86_64 dumb-init_$(VERSION)_ppc64el.deb dumb-init_$(VERSION)_ppc64le dumb-init_$(VERSION)_s390x.deb dumb-init_$(VERSION)_s390x dumb-init_$(VERSION)_arm64.deb dumb-init_$(VERSION)_aarch64 \
 		> sha256sums
 
 .PHONY: python-dists
@@ -49,12 +49,12 @@
 	# Extract the built binary from the Debian package
 	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_$(shell dpkg --print-architecture).deb | \
 		tar -C dist --strip=3 -xvf - ./usr/bin/dumb-init
-	mv dist/dumb-init dist/dumb-init_$(VERSION)_$(shell dpkg --print-architecture)
+	mv dist/dumb-init dist/dumb-init_$(VERSION)_$(shell uname -m)
 
 .PHONY: builddeb-docker
 builddeb-docker: docker-image
 	mkdir -p dist
-	docker run -v $(PWD):/mnt dumb-init-build
+	docker run --user $$(id -u):$$(id -g) -v $(PWD):/tmp/mnt dumb-init-build
 
 .PHONY: docker-image
 docker-image:
@@ -69,18 +69,16 @@
 install-hooks:
 	tox -e pre-commit -- install -f --install-hooks
 
-ITEST_TARGETS = itest_trusty itest_xenial itest_bionic itest_stretch
+ITEST_TARGETS = itest_focal itest_buster
 
 .PHONY: itest $(ITEST_TARGETS)
 itest: $(ITEST_TARGETS)
 
-itest_trusty: _itest-ubuntu-trusty
-itest_xenial: _itest-ubuntu-xenial
-itest_bionic: _itest-ubuntu-bionic
-itest_stretch: _itest-debian-stretch
+itest_focal: _itest-ubuntu-focal
+itest_buster: _itest-debian-buster
 
 itest_tox:
-	$(DOCKER_RUN_TEST) ubuntu:bionic /mnt/ci/docker-tox-test
+	$(DOCKER_RUN_TEST) debian:buster /mnt/ci/docker-tox-test
 
 _itest-%: _itest_deb-% _itest_python-%
 	@true
