=== debian/changelog ===
dumb-init (1.2.5-3) unstable; urgency=medium

  * Add python3-py to Build-Depends
  * Add python3-py to autopkgtest Depends (Closes: #1040413)
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 28 Jul 2023 00:23:58 +0800

dumb-init (1.2.5-2) unstable; urgency=medium

  * Fix uscan watch file
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 06 Feb 2022 23:34:44 +0800

dumb-init (1.2.5-1) unstable; urgency=medium

  * New upstream version (Closes: #977292)
  * Add myself to Uploaders
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.1 (no changes)
  * Add Rules-Requires-Root
  * Drop patch applied in new version
  * Bump uscan watch file version to 4
  * No longer need python3-mock
  * Add autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Dec 2020 22:57:25 +0800
