=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: dumb-init
 Section: utils
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10)
-    ,help2man
-## Tests:
-    ,python3
-    ,python3-mock
-    ,python3-pytest
+Uploaders:
+ Dmitry Smirnov <onlyjob@debian.org>,
+ Shengjing Zhu <zhsj@debian.org>,
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ help2man,
+ python3,
+ python3-py,
+ python3-pytest,
 Homepage: https://github.com/Yelp/dumb-init/
 Vcs-Browser: https://salsa.debian.org/debian/dumb-init
 Vcs-Git: https://salsa.debian.org/debian/dumb-init.git
 
 Package: dumb-init
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: wrapper script which proxies signals to a child
  dumb-init is a simple process supervisor and init system designed to run
  as PID 1 inside minimal container environments (such as Docker).
