=== debian/tests/control ===
Test-Command: py.test-3 -k "not setsid_signals_entire_group and not no_setsid_doesnt_signal_entire_group" tests/
Depends:
 python3,
 python3-py,
 python3-pytest,
 @,
Restrictions: needs-root
